# /*
# Copyright (c) 2012, Intel Corp.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
#    * Redistributions of source code must retain the above copyright notice,
#      this list of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in the
#      documentation and/or other materials provided with the distribution.
#    * Neither the name of Intel Corporation nor the names of its contributors
#      may be used to endorse or promote products derived from this software
#      without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# */
################################################################################

%define _target_output

Summary: A program that install the iommap driver.
Name: iommap
Version:
Release: 1
License: Intel(R)
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
INTEL CONFIDENTIAL.  Copyright (c) 2003-2013 Intel Corp.
All rights reserved.

Installation for iommap driver.

%prep
%setup

%build
make

%install
make DESTDIR=%{buildroot} install

cd %{buildroot}
find lib -name "%{name}.*o" -fprintf %{_builddir}/%{name}-%{version}/file.list "/%p\n"
echo "/etc/init.d/%{name}d" >> %{_builddir}/%{name}-%{version}/file.list
echo "/etc/%{name}d.conf" >> %{_builddir}/%{name}-%{version}/file.list
echo "%_target_output/%{name}.txt" >> %{_builddir}/%{name}-%{version}/file.list
echo "%_target_output/%{name}.chm" >> %{_builddir}/%{name}-%{version}/file.list


%clean
rm -rf %{buildroot}

%post
/etc/init.d/%{name}d link
/etc/init.d/%{name}d restart
echo "Updating Maj/Min numbers in iommapd.conf..."
sed -i "/MAJOR/c `grep 'MAJOR=' /proc/iMTA/iommap`" /etc/init.d/%{name}d.conf
sed -i "/MINOR/c `grep 'MINOR=' /proc/iMTA/iommap`" /etc/init.d/%{name}d.conf
/etc/init.d/%{name}d reload

%preun
/etc/init.d/%{name}d stop
/etc/init.d/%{name}d unlink

%files -f file.list
%defattr(-,root,root)


%changelog
* Mon Mar 18 2013 Jeb Cramer
- Spec file and Makefile cleanup (release 2.06.1.0523)

* Tue May 23 2012 HK Lau
- Support Kernel 3.0.13-0.27-default for SuSE 11 SP2 (release 2.06.1.0523)

* Tue Jul 05 2011 HK Lau
- Support Kernel 2.6.32 -71.el6.x86_64 for RHEL6 (release 2.05.1.0705)

* Tue Sep 08 2009 HK Lau
- Support Kernel 2.6.30 for Moblin (release 2.04.1.0908)

* Mon Sep 07 2008 HK Lau
- Support IA64 (release 2.03.1.0907)

* Sat Nov 03 2007 HK Lau
- Support EM64T for SUSU10 2.6.16.21-0.8 (release 2.02.1.1103)

* Thu Feb 08 2007 HK Lau
- Support BSD license (release 2.01.1.0208)

* Wed Aug 02 2006 HK Lau
- Support iMTA 2.0 (release 2.00.1.0803)

* Wed Jan 25 2006 HK Lau
- Updated /etc/init.d/iommapd (release 11)

* Mon Jan 24 2005 HK Lau
- Added debug help information (release 10)

* Fri Jan 07 2005 HK Lau
- support MVL CGE 3.1 (release 9)

* Tue Nov 30 2004 HK Lau
- update ioctl32 call for EM64T (release 8)

* Tue Nov 16 2004 HK Lau
- support RH4.0 Beta and EM64T (release 7)

* Wed Sep 15 2004 HK Lau
- support SuSE9.1 and SuSE9.2 kernel 2.6 (release 6)

* Fri Jul 02 2004 HK Lau
- update driver version (release 5)

* Tue Jun 22 2004 HK Lau
- update the build.txt (release 3)

* Wed Jun 16 2004 HK Lau
- update the build.txt (release 2)

* Fri Apr 23 2004 HK Lau
- auto rebuild in the new build environment (release 1)
