/*
Copyright (c) 2017, Intel Corp.
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
    * Neither the name of Intel Corporation nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#ifndef MAIN_H
#define MAIN_H

#define _DRIVER_BUILD
#include "ioctl.h"

#define VERSION			"2.09.1.0528"
#define IOMMAP_DESCRIPTION	"Intel(R) PCI/IO/MEM DRIVER Function Driver " \
				"(version_number="VERSION", "\
				"machine="MACHINE", "\
				"build="BUILD")"
#define IOMMAP_COPYRIGHT	"Copyright(c) 2003-2017 Intel Corporation"
#define IOMMAP_LICENSE		"BSD"
#define IOMMAP_VERSION		VERSION
#define IOMMAP_STRING_VER	"version_number="VERSION
#define IOMMAP_DWORD_VER	0x209


// All the Dispatchers
BOOL PciTestDispatch(unsigned int pciapiIoctl, unsigned long pciapiInfo);
BOOL CmosTestDispatch(unsigned int cmosapiIoctl, unsigned long cmosapiInfo);
BOOL MemMapTestDispatch(unsigned int memapiIoctl, unsigned long memmapapiInfo);

#endif

