#! /bin/bash
# Setup environment
PATH=/usr/local/sbin:/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin:/root/bin
export PATH

# Reconfigure MPSS to defaults for current configuration

# Create temporary file to record informaiton about this re-configuration
echo "MPSS Re-Configuration" > mpssconfig.out
date >> mpssconfig.out

# Make sure all MICs are in ready mode before reloading MPSS defaults
./lxmicstart ready &>> mpssconfig.out

service mpss unload &>> mpssconfig.out   # unload the mpss service
micctrl --cleanconfig &>> mpssconfig.out	# clean out the old config info
micctrl --initdefaults &>> mpssconfig.out # Initialize to default config


./lxmicstart &>> mpssconfig.out		# Starts MPSS service and boots uOS
									# on all MIC cards in system

./lxmicstart ssh &>> mpssconfig.out	# Setup passwordless ssh to all MICs

echo "MPSS Re-Configuration Done" >> mpssconfig.out
date >> mpssconfig.out

mv uOS_Booted MPSS_Config
