#! /bin/bash
# Parameter Description
#  1 - IP address (or hostname) of MIC uOS 
#  2 - Path to test directory on HOST
#  3 - Path to test directory to be created on MIC uOS
#  4 - Test name
#  5 - Subtest to be executed
#  6 - Parameter (.ini) file for Board SKU being tested

#echo "Parameters"
#echo "MIC Name:            $1"
#echo "HOST test directory: $2"
#echo "MIC test directory:  $3"
#echo "Test name:           $4"
#echo "Subtest ID:          $5"
#echo "Param (.ini) file:   $6"

# Remove any old test completion flag file(s)
rm -f uOS_Booted$1 uOS_Temp$1

# Remove old links to the Test config ($4.ini) file
# First save current directory
cur_dir=$(pwd)
cd $2
rm -f $4.ini
cd $cur_dir


# Remove old test directories on MIC uOS filesystem, if there is one
ssh $1 "rm -rf $3"

# Create the test directory on the MIC uOS filesystem
ssh $1 "mkdir -p $3"

# Copy the test files from the test directory on the HOST to the
# test directory on the MIC
scp $2/* $1:$3

# Create link in the MIC uOS test directory to the test parameter file
ssh $1 "rm -f $3/$4.ini" 
ssh $1 "ln -s $3/$6 $3/$4.ini"

# Create the command to execte the test on the MIC
CMD="$3/$4.ash $4 $3 $5"
#echo "lxmic_obtest.sh: CMD is $CMD"

# Initialize output file used to log test results
OUTFILE="$4_$1_$5.out"
#echo "lxmic_obtest.sh: OUTFILE is $OUTFILE"

echo "OnBoard Test log: $CMD" > $OUTFILE
date >> $OUTFILE
echo >> $OUTFILE

# Run the test script and capture results
ssh $1 "$CMD" &>> $OUTFILE

# Let test module know the On Board test completed
echo "PASSED" > uOS_Temp$1
mv uOS_Temp$1 uOS_Booted$1

